org.hibernate.search

## Interface FullTextSharedSessionBuilder

- All Superinterfaces:
    SessionBuilder, SharedSessionBuilder

      public interface FullTextSharedSessionBuilder
      extends SharedSessionBuilder

  Author:
    Emmanuel Bernard

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `FullTextSharedSessionBuilder` | `autoClose()`
    `FullTextSharedSessionBuilder` | `autoClose(boolean autoClose)` Deprecated.
    `FullTextSharedSessionBuilder` | `autoJoinTransactions()`
    `FullTextSharedSessionBuilder` | `autoJoinTransactions(boolean autoJoinTransactions)`
    `FullTextSharedSessionBuilder` | `connection()`
    `FullTextSharedSessionBuilder` | `connection(Connection connection)`
    `FullTextSharedSessionBuilder` | `connectionReleaseMode()` Deprecated.
    `FullTextSharedSessionBuilder` | `connectionReleaseMode(ConnectionReleaseMode connectionReleaseMode)` Deprecated.
    `FullTextSharedSessionBuilder` | `flushBeforeCompletion()` Deprecated.
    `FullTextSharedSessionBuilder` | `flushBeforeCompletion(boolean flushBeforeCompletion)` Deprecated.
    `FullTextSharedSessionBuilder` | `interceptor()`
    `FullTextSharedSessionBuilder` | `interceptor(Interceptor interceptor)`
    `FullTextSharedSessionBuilder` | `noInterceptor()`
    `FullTextSession` | `openSession()`
    `FullTextSharedSessionBuilder` | `tenantIdentifier(String tenantIdentifier)`
    `FullTextSharedSessionBuilder` | `transactionContext()` Deprecated.

    - ### Methods inherited from interface org.hibernate.SharedSessionBuilder

      `connectionHandlingMode, flushMode`

    - ### Methods inherited from interface org.hibernate.SessionBuilder

      `autoClear, clearEventListeners, connectionHandlingMode, eventListeners, flushMode, jdbcTimeZone, setQueryParameterValidation, statementInspector`

- - ### Method Detail

    - #### interceptor

          FullTextSharedSessionBuilder interceptor()

      Specified by:
        `interceptor` in interface `SharedSessionBuilder`

    - #### connection

          FullTextSharedSessionBuilder connection()

      Specified by:
        `connection` in interface `SharedSessionBuilder`

    - #### connectionReleaseMode

          @Deprecated
          FullTextSharedSessionBuilder connectionReleaseMode()

      Deprecated.
      Specified by:
        `connectionReleaseMode` in interface `SharedSessionBuilder`

    - #### autoJoinTransactions

          FullTextSharedSessionBuilder autoJoinTransactions()

      Specified by:
        `autoJoinTransactions` in interface `SharedSessionBuilder`

    - #### autoClose

          FullTextSharedSessionBuilder autoClose()

      Specified by:
        `autoClose` in interface `SharedSessionBuilder`

    - #### flushBeforeCompletion

          @Deprecated
          FullTextSharedSessionBuilder flushBeforeCompletion()

      Deprecated.
      Specified by:
        `flushBeforeCompletion` in interface `SharedSessionBuilder`

    - #### transactionContext

          @Deprecated
          FullTextSharedSessionBuilder transactionContext()

      Deprecated.
      Specified by:
        `transactionContext` in interface `SharedSessionBuilder`

    - #### interceptor

          FullTextSharedSessionBuilder interceptor(Interceptor interceptor)

      Specified by:
        `interceptor` in interface `SessionBuilder`

    - #### noInterceptor

          FullTextSharedSessionBuilder noInterceptor()

      Specified by:
        `noInterceptor` in interface `SessionBuilder`

    - #### connection

          FullTextSharedSessionBuilder connection(Connection connection)

      Specified by:
        `connection` in interface `SessionBuilder`

    - #### connectionReleaseMode

          @Deprecated
          FullTextSharedSessionBuilder connectionReleaseMode(ConnectionReleaseMode connectionReleaseMode)

      Deprecated.
      Specified by:
        `connectionReleaseMode` in interface `SessionBuilder`

    - #### autoJoinTransactions

          FullTextSharedSessionBuilder autoJoinTransactions(boolean autoJoinTransactions)

      Specified by:
        `autoJoinTransactions` in interface `SessionBuilder`

    - #### autoClose

          @Deprecated
          FullTextSharedSessionBuilder autoClose(boolean autoClose)

      Deprecated.
      Specified by:
        `autoClose` in interface `SessionBuilder`

    - #### flushBeforeCompletion

          @Deprecated
          FullTextSharedSessionBuilder flushBeforeCompletion(boolean flushBeforeCompletion)

      Deprecated.
      Specified by:
        `flushBeforeCompletion` in interface `SessionBuilder`

    - #### openSession

          FullTextSession openSession()

      Specified by:
        `openSession` in interface `SessionBuilder`

    - #### tenantIdentifier

          FullTextSharedSessionBuilder tenantIdentifier(String tenantIdentifier)

      Specified by:
        `tenantIdentifier` in interface `SessionBuilder`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved